Package Details: gksu 2.0.2-6

Git Clone URL: https://aur.archlinux.org/gksu.git (read-only, click to copy)
Package Base: gksu
Description: A graphical frontend for su
Upstream URL: http://www.nongnu.org/gksu/index.html
Licenses: GPL
Submitter: Barthalion
Maintainer: Ludolacra
Last Packager: Ludolacra
Votes: 82
Popularity: 0.22
First Submitted: 2018-04-23 09:43 (UTC)
Last Updated: 2021-12-11 23:00 (UTC)

Latest Comments

Ludolacra commented on 2021-12-11 13:12 (UTC)

Please either apply the previous suggestion or apply a patch like:

diff -Nura gksu-2.0.2_orig/gksu/gksu.c gksu-2.0.2/gksu/gksu.c > gksu.patch
--- gksu-2.0.2_orig/gksu/gksu.c 2021-12-11 13:53:13.538672664 +0100
+++ gksu-2.0.2/gksu/gksu.c  2021-12-11 13:55:43.245408259 +0100
@@ -148,7 +148,7 @@

   diag_win = gtk_message_dialog_new_with_markup (NULL, GTK_DIALOG_MODAL,
                         type, GTK_BUTTONS_CLOSE,
-                        msg);
+                        "%s", msg);

   gtk_signal_connect_object (GTK_OBJECT(diag_win), "delete_event",
                 GTK_SIGNAL_FUNC(gtk_main_quit),
@@ -180,7 +180,7 @@

       error_msg = g_strdup_printf ("Could not load desktop file: %s",
                   error->message);
-      g_warning (error_msg);
+      g_warning ("%s", error_msg);
       g_free (error_msg);
       g_error_free (error);
       g_key_file_free (desktop);

MithicSpirit commented on 2021-09-06 22:08 (UTC)

@4llan please add the line CFLAGS="$CFLAGS -Wno-error=format-security " to the beginning of the build function. IIRC a recent update to makepkg.conf enabled format-security errors by default, but those are preventing this package from building.

ninjalf2 commented on 2018-07-30 03:05 (UTC)

I am getting the following when trying to install:

==> Starting prepare()... patching file libgksu/libgksu.c Hunk #1 succeeded at 24 (offset 1 line). patching file libgksu/Makefile.am patching file libgksu/Makefile.in Hunk #1 succeeded at 268 (offset -15 lines). patching file libgksuui/Makefile.am patching file libgksuui/Makefile.in Hunk #1 succeeded at 232 (offset -18 lines). patching file configure.ac Hunk #1 succeeded at 43 with fuzz 2. patching file gksu-properties/Makefile.am Hunk #1 succeeded at 3 with fuzz 1. patching file libgksu/Makefile.am patching file libgksuui/Makefile.am patching file configure.ac Hunk #1 succeeded at 53 (offset 3 lines). The next patch would create the file po/LINGUAS, which already exists! Skipping patch. 1 out of 1 hunk ignored ==> ERROR: A failure occurred in prepare().

eimis commented on 2018-04-23 12:40 (UTC)

Thanks man